SystemOrganization addCategory: #FuelPackaging!

!MCMczWriter methodsFor: '*FuelPackaging' stamp: 'pre 1/16/2013 13:45'!
serializeBinaryModule: aMCVersion 
	| aPackage |
	aPackage := FuelPackage newFromPackageNamed: aMCVersion package name.
	^ aPackage serialize contents! !

!MCMczWriter methodsFor: '*FuelPackaging' stamp: 'JH 1/16/2013 11:49'!
writeBinaryModule: aMCVersion

	self
		addString: (self serializeBinaryModule: aMCVersion)
		at: 'binaryModule.bin'.! !

!MCMczWriter methodsFor: '*FuelPackaging' stamp: 'JH 1/16/2013 12:10'!
writeVersion: t1 
	self writeFormat.
	self writePackage: t1 package.
	self writeVersionInfo: t1 info.
	self writeDefinitions: t1.
	t1 dependencies
		do: [:t2 | self writeVersionDependency: t2].
	self writeBinaryModule: t1! !

Object subclass: #FuelPackage
	instanceVariableNames: 'packageName sourceStream'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FuelPackaging'!

!FuelPackage class methodsFor: 'as yet unclassified' stamp: 'pre 1/16/2013 13:36'!
newFromPackageNamed: packageName

	| p |
	p := self new.
	p packageName: packageName.
	^p! !

!FuelPackage class methodsFor: 'as yet unclassified' stamp: 'rms 1/16/2013 14:00'!
newFromStream: aStream

	self new sourceStream: aStream binary.! !

!FuelPackage methodsFor: 'as yet unclassified' stamp: 'rms 1/16/2013 13:59'!
materialize

	FLPackageLoader new loadFrom: self sourceStream.
! !

!FuelPackage methodsFor: 'accessing' stamp: 'pre 1/16/2013 13:36'!
packageName

	^ packageName! !

!FuelPackage methodsFor: 'accessing' stamp: 'pre 1/16/2013 13:36'!
packageName: anObject

	packageName := anObject! !

!FuelPackage methodsFor: 'as yet unclassified' stamp: 'pre 1/16/2013 14:22'!
serialize

	| aStream |
	aStream := RWBinaryOrTextStream on: String new.
	aStream binary.
      FLPackageStore new storePackageNamed: self packageName on: aStream.
	^ aStream
	! !

!FuelPackage methodsFor: 'accessing' stamp: 'rms 1/16/2013 13:59'!
sourceStream

	^ sourceStream! !

!FuelPackage methodsFor: 'accessing' stamp: 'rms 1/16/2013 13:59'!
sourceStream: anObject

	sourceStream := anObject! !
